> For the complete documentation index, see [llms.txt](https://docs.foundryosd.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.foundryosd.com/reference/glossary.md).

# Glossary

## ADK

Windows Assessment and Deployment Kit. Foundry OSD uses its deployment tools to prepare Windows PE media.

## Driver pack

A vendor or model-specific package containing drivers used during Windows deployment.

## Foundry Connect

The Windows PE application that establishes and validates network readiness before deployment.

## Foundry Deploy

The Windows PE application that selects deployment inputs and applies Windows to the target device.

## Foundry OSD

The administrator workstation application that configures and creates deployment media.

## Hardware hash

Device identity data used to register a device with Windows Autopilot.

## OOBE

Windows out-of-box experience shown when a deployed installation starts for initial setup.

## Target disk

The physical disk selected for Windows installation. Foundry erases and repartitions this disk during deployment.

## Windows Autopilot

Microsoft cloud provisioning technology used to prepare a device for organizational setup.

## Windows PE

Windows Preinstallation Environment. Foundry Connect and Foundry Deploy run in this environment.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.foundryosd.com/reference/glossary.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
